# source_podracer
Open Source FPV Drone Frame project initiated by Team BlackSheep
[<img src="https://raw.githubusercontent.com/ps915/source_podracer/master/photos/source_podracer_small.png" width="800">](https://raw.githubusercontent.com/ps915/source_podracer/master/photos/source_podracer_small.png)

# About Source PodRacer
## The idea
The TBS Source PodRacer is a ultralight concept frame for 4 and 5 inch propellers using the new lightweight building materials such as the small t-mount propellers and motors as well as all-in-one flight controller and ESC boards.

The frame is donated to the community to empower creators and makers, and integrate best practices and current trends faster into a continuously manufactured product. In return, it allows the local distribution network to have cheap and direct access to a good frame to compete in an increasingly competitive marketplace.
<img src="https://raw.githubusercontent.com/ps915/source_podracer/master/photos/source_podracer_2.JPG" width="800">

## Frame specifications
* Wheelbase: 200mm
* Stacking Mounting Plate: 1.5mm
* Bottom Plate: 1.5mm
* Arms: 5mm
* Stack Mout: 19 x19mm, 26x26mm, 20x20mm
* Motor Mount: 12 x 12mm & 9 x 9mm
* Weight: 47g

<img src="https://raw.githubusercontent.com/ps915/source_podracer/master/photos/source_podracer_arms_1.JPG" width="800">

## Hardware
* 8x M2x10mm Countersunk screws
* 4x M2x12mm Countersunk screws
* 2x M2x6mm Socket head screws
* 24x M2x10mm Socket screws
* 1x 1.5mm Carbon Fiber Top Plate
* 1x 1.5mm Carbon Fiber Bottom Plate
* 2x 5mm Carbon Fiber Arms
* 1x Black Nylon 3D printed canopy

<img src="https://raw.githubusercontent.com/ps915/source_podracer/master/photos/source_podracer_3.JPG" width="800">
<img src="https://raw.githubusercontent.com/ps915/source_podracer/master/photos/source_podracer_y_arms_2.JPG" width="800">

## Project links
* Project discussion: https://discordapp.com/invite/ZJGkHwF 
* Project files: https://github.com/ps915/source_podracer
* 3D-printed accessories: https://www.thingiverse.com/tag:sourcepodracer

Please use the tag "sourcepodracer" when uploading files to thingiverse.com

## Where to buy
* [www.team-blacksheep.com](https://www.team-blacksheep.com/products/prod:source_podracer5) / [Y Arms](https://www.team-blacksheep.com/products/prod:podracer5_yarms) / [4 inch arms](https://www.team-blacksheep.com/products/prod:podracer4_arm)
* open [issue]("https://github.com/ps915/source_v/issues/new) if you want your shop added


## Where to buy 3D printed parts
Here is a list of recommended 3D Printing services who are sharing their files under the GPL license (OpenSource). 
* [3dmatisse USA](http://bit.ly/3dmatisse_USA)

## Changelog
### Source PodRacer V1
* initial release from TBS

3D Printed Pod

<img src="https://raw.githubusercontent.com/ps915/source_podracer/master/photos/source_podracer_pod_1.JPG" width="350"> <img src="https://raw.githubusercontent.com/ps915/source_podracer/master/photos/source_podracer_pod_2.JPG" width="350"> <img src="https://raw.githubusercontent.com/ps915/source_podracer/master/photos/source_podracer_pod_3.JPG" width="350"> <img src="https://raw.githubusercontent.com/ps915/source_podracer/master/photos/source_podracer_pod_4.JPG" width="350">

Y-Arms

<img src="https://raw.githubusercontent.com/ps915/source_podracer/master/photos/source_podracer_y_arms_1.JPG" width="350"> <img src="https://raw.githubusercontent.com/ps915/source_podracer/master/photos/source_podracer_y_arms_2.JPG" width="350"> <img src="https://raw.githubusercontent.com/ps915/source_podracer/master/photos/source_podracer_y_arms_3.JPG" width="350"> <img src="https://raw.githubusercontent.com/ps915/source_podracer/master/photos/source_podracer_y_arms_4.JPG" width="350"> <img src="https://raw.githubusercontent.com/ps915/source_podracer/master/photos/source_podracer_y_arms_5.JPG" width="350">

Arms

<img src="https://raw.githubusercontent.com/ps915/source_podracer/master/photos/source_podracer_arms_1.JPG" width="350"> <img src="https://raw.githubusercontent.com/ps915/source_podracer/master/photos/source_podracer_arms_2.JPG" width="350">

Fusion360 Render

<img src="https://raw.githubusercontent.com/ps915/source_podracer/master/photos/Source_PodRacer_v1.0_rendered.png" width="350">
## Project license
The frame files are released under GNU Public License (GPL) V3. More information here: https://www.gnu.org/licenses/gpl-3.0.en.html 


## Project naming requirements
Source PodRacer is the name of the frame. If you are thinking about manufacturing it, you are expected to prefix the name with a brand name in order to allow customers to distinguish the different manufacturers, e.g. “TBS Source PodRacer”. As a manufacturer you are also expected to denote the version number of the frame files that you have placed as basis of the project, e.g. “TBS Source PodRacer V1”. 
If you have forked the project, you need to give it another name in order to avoid confusion between Source PodRacer and your project.
Accessories from the Source PodRacer project also need to be named with the entire prefix, e.g. “TBS Source PodRacer FPV Camera Adapter”. Unless the file is not compatible with certain versions of the frame, the compatible version number or version range also needs to be included in the name, e.g. “TBS Source PodRacer FPV Camera Adapter V1 - V2”

